Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe.iterator
Class PipeExtendedIterator

    java.lang.Object
      cc.mallet.pipe.iterator.PipeExtendedIterator

All Implemented Interfaces:
  java.util.Iterator<Instance>

Deprecated.

    @Deprecated
    public class PipeExtendedIterator

extends java.lang.Object
implements java.util.Iterator<Instance>

Provides a `PipeExtendedIterator` that applies a `Pipe` to the `Instance`s returned by a given `PipeExtendedIterator`, It is intended to encapsulate preprocessing that should not belong to the input `Pipe` of a `Classifier` or `Transducer`.

Version:
  1.0
Author:
  Fernando Pereira

Constructor Summary
`PipeExtendedIterator(java.util.Iterator<Instance> iterator, Pipe pipe)` Deprecated. Creates a new `PipeExtendedIterator` instance.

Method Summary
`boolean` | `hasNext()` Deprecated.
`Instance` | `next()` Deprecated.
`void` | `remove()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeExtendedIterator

    public PipeExtendedIterator(java.util.Iterator<Instance> iterator,
                                Pipe pipe)

  Deprecated.
  Creates a new `PipeExtendedIterator` instance.

  Parameters:
    `iterator` - the base `PipeExtendedIterator`
    `pipe` - The `Pipe` to postprocess the iterator output

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated.
  Specified by:
    `hasNext` in interface `java.util.Iterator<Instance>`

### next

    public Instance next()

  Deprecated.
  Specified by:
    `next` in interface `java.util.Iterator<Instance>`

### remove

    public void remove()

  Deprecated.
  Specified by:
    `remove` in interface `java.util.Iterator<Instance>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD